> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getconch.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# API Reference Overview

> Endpoint inventory for the latest /v1 business APIs.

## OpenAPI

* Spec file: `docs/openapi/v1.yaml`
* Lint command: `npm run openapi:lint`

## Endpoint groups

### Organization

* `POST /v1/createOrganization`

### Sources

* `POST /v1/ingestSource`
* `GET /v1/sources`
* `GET /v1/sources/{sourceId}`
* `DELETE /v1/sources/{sourceId}`

### Flashcards

* `POST /v1/sources/{sourceId}/flashcards`
* `GET /v1/flashcards`
* `GET /v1/flashcards/{flashcardId}`
* `DELETE /v1/flashcards/{flashcardId}`

### Mindmaps

* `POST /v1/sources/{sourceId}/mindmaps`
* `GET /v1/mindmaps`
* `GET /v1/mindmaps/{mindmapId}`
* `DELETE /v1/mindmaps/{mindmapId}`

### Quizzes

* `POST /v1/sources/{sourceId}/quizzes`
* `GET /v1/quizzes`
* `GET /v1/quizzes/{quizId}`
* `DELETE /v1/quizzes/{quizId}`

## Common response behavior

* `401`: missing or invalid API/admin key
* `403`: cross-organization access denied
* `404`: resource not found
* `500`: internal server error
